Self Service Mobile v9.101.0 is Now Available in the App Store

DrewMa
New Contributor III

To use Self Service Mobile on a device with iOS 11 or later, you must install Self Service Mobile v9.101.0 or later. Earlier versions of Self Service Mobile will not work on devices with iOS 11 or later.

Note: The “What’s New” information in the App Store and the v9.101.0 Release Notes incorrectly states that “Self Service Mobile” has been renamed to “Jamf Self Service”. This name change will happen in a future version of Jamf Pro.

2 REPLIES 2

martin
Contributor III
Contributor III

Wow! Screen resolution has been optimised for iPhone 7, that took a serious amount of time!

The part with categories and apps is cramped, it has empty spaces on both right and left side. This looks very poor to me.

joelande
Contributor

I have an iPad with iOS 11 installed.
The JSS is running 9.101

Self Service as displayed on the iPad home screen just says Self Service (not Jamf Self Service).

The iPad Settings > Self Service about indicates 9.98.1

Self Service appears to working on this iPad.
This iPad has had several Update Inventory cycles on it since iOS 11.

So two observations:
1) Why is it working on this device?
2) Why hasn't it updated?